cURL
curl -X GET "https://api.fitsociety.io/public/v1/conversations/<conversationId>/participants?conversationType=group&limit=50" \
-H "Authorization: Bearer <access_token>"const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fitsociety.io/public/v1/conversations/{conversationId}/participants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/conversations/{conversationId}/participants"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"page": 1,
"limit": 1,
"total": 1,
"totalPages": 1,
"hasNextPage": true,
"hasPrevPage": true,
"conversationId": "66f7b8b1e13c8d25f4d3d90a",
"conversationType": "direct",
"participants": [
{
"userId": "66f7b8b1e13c8d25f4d3d90a",
"role": "Coach",
"name": "Example name",
"isActive": true,
"joinedAt": "2026-07-14T10:00:00.000Z",
"removedAt": "2026-07-14T10:00:00.000Z"
}
]
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1
}
}
}
Participants
List conversation participants
Requires conversations:read. Returns active direct or group conversation participants.
GET
/
public
/
v1
/
conversations
/
{conversationId}
/
participants
cURL
curl -X GET "https://api.fitsociety.io/public/v1/conversations/<conversationId>/participants?conversationType=group&limit=50" \
-H "Authorization: Bearer <access_token>"const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fitsociety.io/public/v1/conversations/{conversationId}/participants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/conversations/{conversationId}/participants"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"page": 1,
"limit": 1,
"total": 1,
"totalPages": 1,
"hasNextPage": true,
"hasPrevPage": true,
"conversationId": "66f7b8b1e13c8d25f4d3d90a",
"conversationType": "direct",
"participants": [
{
"userId": "66f7b8b1e13c8d25f4d3d90a",
"role": "Coach",
"name": "Example name",
"isActive": true,
"joinedAt": "2026-07-14T10:00:00.000Z",
"removedAt": "2026-07-14T10:00:00.000Z"
}
]
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1
}
}
}
Authorizations
Public API access token issued by /public/v1/oauth/token. Example: Authorization: Bearer fspt_.... Each resource request rechecks the token company's current provider access. Disabling access blocks existing tokens with 403 auth.provider_unavailable.
Path Parameters
Example:
"66f7b8b1e13c8d25f4d3d90a"
Query Parameters
Optional storage type hint. Use direct or group when the ID is known.
Available options:
direct, group Required range:
x >= 1Required range:
1 <= x <= 100